Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.model
Interface Visitor

All Known Subinterfaces:
  SpanVisitor

All Known Implementing Classes:
  ExpressionPrinter, ExprStringConverter, HierarchyHeaderFactory, IgnorePropertiesHierarchyHeaderFactory, LevelHeaderFactory, VisitorSupportSloppy, VisitorSupportStrict

    public interface Visitor

Created on 29.10.2002

Author:
  av

Method Summary
`void` | `visitAxis(Axis v)`
`void` | `visitBooleanExpr(BooleanExpr v)`
`void` | `visitCell(Cell v)`
`void` | `visitDimension(Dimension v)`
`void` | `visitDoubleExpr(DoubleExpr v)`
`void` | `visitEmptyMember(EmptyMember v)`
`void` | `visitFunCallExpr(FunCallExpr v)`
`void` | `visitHierarchy(Hierarchy v)`
`void` | `visitIntegerExpr(IntegerExpr v)`
`void` | `visitLevel(Level v)`
`void` | `visitMember(Member v)`
`void` | `visitMemberPropertyMeta(MemberPropertyMeta v)`
`void` | `visitParameterExpr(ParameterExpr v)`
`void` | `visitPosition(Position v)`
`void` | `visitProperty(Property v)`
`void` | `visitPropertyExpr(PropertyExpr v)`
`void` | `visitResult(Result v)`
`void` | `visitStringExpr(StringExpr v)`

Method Detail

### visitAxis

    void visitAxis(Axis v)

### visitCell

    void visitCell(Cell v)

### visitDimension

    void visitDimension(Dimension v)

### visitHierarchy

    void visitHierarchy(Hierarchy v)

### visitLevel

    void visitLevel(Level v)

### visitMember

    void visitMember(Member v)

### visitPosition

    void visitPosition(Position v)

### visitProperty

    void visitProperty(Property v)

### visitResult

    void visitResult(Result v)

### visitMemberPropertyMeta

    void visitMemberPropertyMeta(MemberPropertyMeta v)

### visitBooleanExpr

    void visitBooleanExpr(BooleanExpr v)

### visitIntegerExpr

    void visitIntegerExpr(IntegerExpr v)

### visitDoubleExpr

    void visitDoubleExpr(DoubleExpr v)

### visitStringExpr

    void visitStringExpr(StringExpr v)

### visitFunCallExpr

    void visitFunCallExpr(FunCallExpr v)

### visitParameterExpr

    void visitParameterExpr(ParameterExpr v)

### visitPropertyExpr

    void visitPropertyExpr(PropertyExpr v)

### visitEmptyMember

    void visitEmptyMember(EmptyMember v)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD